curl --location --request POST 'https://app.gotreek.com/api/warehouses' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"name": "warehouseApiDog",
"code": "1",
"city_id": 7,
"district": "Al-Rawdah",
"street_name": "Prince Sultan Street",
"building_no_name": "test",
"address": "Abu Arish",
"short_address": "RRRR2424",
"zip_code": "48288",
"sender_name": "ApiDog",
"sender_email": "test@example.com",
"sender_phone": "+966533113333",
"status": 1,
"activate_auto_shipment": 1,
"shipment_courier_service_id": 3
}'{
"success": true,
"message": "Warehouse created successfully",
"data": {
"id": 1,
"name": "مجمع لوجستي الشرق",
"code": "PDF995",
"address": "طريق الأمير محمد بن سلمان، حي الشفا",
"sender_name": "خالد المطيري",
"sender_email": "janelle07@mueller.com",
"sender_phone": "966574187212",
"status": 1,
"city_id": 234,
"district": "حي الملز",
"street_name": "طريق الملك عبدالعزيز",
"building_no_name": "مبنى رقم 445",
"zip_code": "51283",
"user_id": 26,
"created_at": "2025-07-21T13:05:26Z",
"updated_at": "2025-07-21T13:05:26Z",
"city": {
"id": 328,
"name": "Riyadh",
"name_ar": "الرياض",
"country_id": 1
},
"user": {
"id": 50,
"first_name": "أحمد",
"last_name": "محمد",
"email": "ahmed.mohammed@example.com",
"phone": "+966501234567"
}
}
}